## ruby-http parser.rb-0.6.0-2-i686.pkg

=== lib/ruby/gems/2.4.0/gems/http_parser.rb-0.6.0/ext/ruby_http_parser/Makefile ===

SHELL = /bin/sh

# V=0 quiet, V=1 verbose.  other values don't work.
V = 0
Q1 = $(V:1=)
Q = $(Q1:0=@)
ECHO1 = $(V:1=@ :)
ECHO = $(ECHO1:0=@ echo)
NULLCMD = :

#### Start of system configuration section. ####

srcdir = .
topdir = /usr/include/ruby-2.4.0
hdrdir = $(topdir)
arch_hdrdir = /usr/include/ruby-2.4.0/i686-linux
PATH_SEPARATOR = :
VPATH = $(srcdir):$(arch_hdrdir)/ruby:$(hdrdir)/ruby
prefix = $(DESTDIR)/usr
rubysitearchprefix = $(rubylibprefix)/$(sitearch)
rubyarchprefix = $(rubylibprefix)/$(arch)
rubylibprefix = $(libdir)/$(RUBY_BASE_NAME)
exec_prefix = $(prefix)
vendorarchhdrdir = $(vendorhdrdir)/$(sitearch)
sitearchhdrdir = $(sitehdrdir)/$(sitearch)
rubyarchhdrdir = $(rubyhdrdir)/$(arch)
vendorhdrdir = $(rubyhdrdir)/vendor_ruby
sitehdrdir = $(rubyhdrdir)/site_ruby
rubyhdrdir = $(includedir)/$(RUBY_VERSION_NAME)
vendorarchdir = $(vendorlibdir)/$(sitearch)
vendorlibdir = $(vendordir)/$(ruby_version)
vendordir = $(rubylibprefix)/vendor_ruby
sitearchdir = $(DESTDIR)./.gem.20170620-3109-16g2o1c
sitelibdir = $(DESTDIR)./.gem.20170620-3109-16g2o1c
sitedir = $(rubylibprefix)/site_ruby
rubyarchdir = $(rubylibdir)/$(arch)
rubylibdir = $(rubylibprefix)/$(ruby_version)
sitearchincludedir = $(includedir)/$(sitearch)
archincludedir = $(includedir)/$(arch)
sitearchlibdir = $(libdir)/$(sitearch)
archlibdir = $(libdir)/$(arch)
ridir = $(datarootdir)/$(RI_BASE_NAME)
mandir = $(datarootdir)/man
localedir = $(datarootdir)/locale
libdir = $(exec_prefix)/lib
psdir = $(docdir)
pdfdir = $(docdir)
dvidir = $(docdir)
htmldir = $(docdir)
infodir = $(datarootdir)/info
docdir = $(datarootdir)/doc/$(PACKAGE)
oldincludedir = $(DESTDIR)/usr/include
includedir = $(prefix)/include
localstatedir = $(DESTDIR)/var
sharedstatedir = $(DESTDIR)/var/lib
sysconfdir = $(DESTDIR)/etc
datadir = $(datarootdir)
datarootdir = $(prefix)/share
libexecdir = $(DESTDIR)/usr/lib/ruby
sbindir = $(exec_prefix)/sbin
bindir = $(exec_prefix)/bin
archdir = $(rubyarchdir)


CC = gcc
CXX = g++
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static
empty =
OUTFLAG = -o $(empty)
COUTFLAG = -o $(empty)
CSRCFLAG = $(empty)

RUBY_EXTCONF_H = 
cflags   = $(optflags) $(debugflags) $(warnflags)
cxxflags = $(optflags) $(debugflags) $(warnflags)
optflags = -O3 -fno-fast-math
debugflags = -ggdb3
warnflags = -Wall -Wextra -Wno-unused-parameter -Wno-parentheses -Wno-long-long -Wno-missing-field-initializers -Wno-tautological-compare -Wno-parentheses-equality -Wno-constant-logical-operand -Wno-self-assign -Wunused-variable -Wimplicit-int -Wpointer-arith -Wwrite-strings -Wdeclaration-after-statement -Wimplicit-function-declaration -Wdeprecated-declarations -Wno-packed-bitfield-compat -Wsuggest-attribute=noreturn -Wsuggest-attribute=format -Wno-maybe-uninitialized
CCDLFLAGS = -fPIC
CFLAGS   = $(CCDLFLAGS) -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong -fPIC -I/usr/src/packages/BUILD/ruby-http_parser.rb/pkg/ruby-http_parser.rb/usr/lib/ruby/gems/2.4.0/gems/http_parser.rb-0.6.0/ext/ruby_http_parser $(ARCH_FLAG)
INCFLAGS = -I. -I$(arch_hdrdir) -I$(hdrdir)/ruby/backward -I$(hdrdir) -I$(srcdir)
DEFS     = -D_FILE_OFFSET_BITS=64
CPPFLAGS =  -D_FORTIFY_SOURCE=2 $(DEFS) $(cppflags)
CXXFLAGS = $(CCDLFLAGS) -march=i686 -mtune=generic -O2 -pipe -fstack-protector-strong $(ARCH_FLAG)
ldflags  = -L. -Wl,-O1,--sort-common,--as-needed,-z,relro -fstack-protector -rdynamic -Wl,-export-dynamic
dldflags = -Wl,-O1,--sort-common,--as-needed,-z,relro -Wl,--compress-debug-sections=zlib 
ARCH_FLAG = 
DLDFLAGS = $(ldflags) $(dldflags) $(ARCH_FLAG)
LDSHARED = $(CC) -shared
LDSHAREDXX = $(CXX) -shared
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = $(RUBY_BASE_NAME)
RUBY_SO_NAME = ruby
RUBYW_INSTALL_NAME = 
RUBY_VERSION_NAME = $(RUBY_BASE_NAME)-$(ruby_version)
RUBYW_BASE_NAME = rubyw
RUBY_BASE_NAME = ruby

arch = i686-linux
sitearch = $(arch)
ruby_version = 2.4.0
ruby = $(bindir)/$(RUBY_BASE_NAME)
RUBY = $(ruby)
ruby_headers = $(hdrdir)/ruby.h $(hdrdir)/ruby/backward.h $(hdrdir)/ruby/ruby.h $(hdrdir)/ruby/defines.h $(hdrdir)/ruby/missing.h $(hdrdir)/ruby/intern.h $(hdrdir)/ruby/st.h $(hdrdir)/ruby/subst.h $(arch_hdrdir)/ruby/config.h

RM = rm -f
RM_RF = $(RUBY) -run -e rm -- -rf
RMDIRS = rmdir --ignore-fail-on-non-empty -p
MAKEDIRS = /usr/bin/mkdir -p
INSTALL = /usr/bin/install -c
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = $(INSTALL) -m 644
COPY = cp
TOUCH = exit >

#### End of system configuration section. ####

preload = 
libpath = . $(libdir)
LIBPATH =  -L. -L$(libdir)
DEFFILE = 

CLEANFILES = mkmf.log
DISTCLEANFILES = 
DISTCLEANDIRS = 

extout = 
extout_prefix = 
target_prefix = 
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED)  -lpthread -lgmp -ldl -lcrypt -lm   -lc
ORIG_SRCS = ruby_http_parser.c ryah_http_parser.c
SRCS = $(ORIG_SRCS) 
OBJS = ruby_http_parser.o ryah_http_parser.o
HDRS = $(srcdir)/ext_help.h $(srcdir)/ryah_http_parser.h
LOCAL_HDRS = 
TARGET = ruby_http_parser
TARGET_NAME = ruby_http_parser
TARGET_ENTRY = Init_$(TARGET_NAME)
DLLIB = $(TARGET).so
EXTSTATIC = 
STATIC_LIB = 

TIMESTAMP_DIR = .
BINDIR        = $(bindir)
RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)
HDRDIR        = $(rubyhdrdir)/ruby$(target_prefix)
ARCHHDRDIR    = $(rubyhdrdir)/$(arch)/ruby$(target_prefix)
TARGET_SO_DIR =
TARGET_SO     = $(TARGET_SO_DIR)$(DLLIB)
CLEANLIBS     = $(TARGET_SO) 
CLEANOBJS     = *.o  *.bak

all:    $(DLLIB)
static: $(STATIC_LIB) install-rb
.PHONY: all install static install-so install-rb
.PHONY: clean clean-so clean-static clean-rb

clean-static::
clean-rb-default::
clean-rb::
clean-so::
clean: clean-so clean-static clean-rb-default clean-rb
		-$(Q)$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES) .*.time

distclean-rb-default::
distclean-rb::
distclean-so::
distclean-static::
distclean: clean distclean-so distclean-static distclean-rb-default distclean-rb
		-$(Q)$(RM) Makefile $(RUBY_EXTCONF_H) conftest.* mkmf.log
		-$(Q)$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)
		-$(Q)$(RMDIRS) $(DISTCLEANDIRS) 2> /dev/null || true

realclean: distclean
install: install-so install-rb

install-so: $(DLLIB) $(TIMESTAMP_DIR)/.sitearchdir.time
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
clean-static::
	-$(Q)$(RM) $(STATIC_LIB)
install-rb: pre-install-rb do-install-rb install-rb-default
install-rb-default: pre-install-rb-default do-install-rb-default
pre-install-rb: Makefile
pre-install-rb-default: Makefile
do-install-rb:
do-install-rb-default:
pre-install-rb-default:
	@$(NULLCMD)
$(TIMESTAMP_DIR)/.sitearchdir.time:
	$(Q) $(MAKEDIRS) $(@D) $(RUBYARCHDIR)
	$(Q) $(TOUCH) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .mm .cxx .cpp .o .S

.cc.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.cc.S:
	$(ECHO) translating $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

.mm.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.mm.S:
	$(ECHO) translating $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

.cxx.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.cxx.S:
	$(ECHO) translating $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

.cpp.o:
	$(ECHO) compiling $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.cpp.S:
	$(ECHO) translating $(<)
	$(Q) $(CXX) $(INCFLAGS) $(CPPFLAGS) $(CXXFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

.c.o:
	$(ECHO) compiling $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.c.S:
	$(ECHO) translating $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

.m.o:
	$(ECHO) compiling $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -c $(CSRCFLAG)$<

.m.S:
	$(ECHO) translating $(<)
	$(Q) $(CC) $(INCFLAGS) $(CPPFLAGS) $(CFLAGS) $(COUTFLAG)$@ -S $(CSRCFLAG)$<

$(TARGET_SO): $(OBJS) Makefile
	$(ECHO) linking shared-object $(DLLIB)
	-$(Q)$(RM) $(@)
	$(Q) $(LDSHARED) -o $@ $(OBJS) $(LIBPATH) $(DLDFLAGS) $(LOCAL_LIBS) $(LIBS)



$(OBJS): $(HDRS) $(ruby_headers)

## ruby-http 0.6.1

=== debian/changelog ===
ruby-http (0.6.1-1) unstable; urgency=low

  * Team upload
  * New upstream version 
  * Added removing_simplecov_html.patch to fix failing tests

 -- Nitesh A Jain <niteshjain92@gmail.com>  Fri, 30 May 2014 23:21:11 +0530

ruby-http (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #743475)

 -- Pirate Praveen <praveen@debian.org>  Wed, 02 Apr 2014 20:44:16 +0530

=== debian/control ===
Source: ruby-http
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.7.4~),
 ruby-http-parser.rb, ruby-rspec, ruby-coveralls
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-http.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/ruby-http.git;a=summary
Homepage: https://github.com/tarcieri/http
XS-Ruby-Versions: all

Package: ruby-http
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
 ruby-http-parser.rb
Description: easy-to-use client library for making http requests from Ruby
 It uses a simple method chaining system for building requests, similar
 to Python's Requests
 .
 Under the hood, The HTTP Gem uses http_parser.rb, a fast HTTP parsing
 native extension based on the Node.js parser and a Java port thereof.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby2.0 ruby2.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

clean:
	dh clean
	rm -rf coverage

## ruby-http 1.0.2

=== debian/changelog ===
ruby-http (1.0.2-2ubuntu2) xenial; urgency=medium

  * Disable the tests accessing the network.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2016 15:53:10 +0100

ruby-http (1.0.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild to send package to unstable.

 -- Sebastien Badia <seb@sebian.fr>  Thu, 03 Mar 2016 17:24:57 -0300

ruby-http (1.0.2-1) experimental; urgency=medium

  * Team upload

  [ Jonas Genannt ]
  * bumped up compat version to 9

  [ Sebastien Badia ]
  * docs: Add readme file as package documentation
  * refreshed patch: removing_simplecov_html
  * examples: Ship examples files
  * d/control:
      Add new dependencies
      Switch from gitweb to cgit for vcs-browser URL
      Update Vcs-* fields (switch to https)
      Bump Standards-Version to 3.9.7 (no changes)
      Add new BD packages (rspec-its and certificate-authority)
  * Imported Upstream version 1.0.2 (Closes: #795752)
  * Update homepage URL (according new release)
  * Update Debian packaging using dh-make-ruby

 -- Sebastien Badia <seb@sebian.fr>  Wed, 02 Mar 2016 15:16:35 -0300

ruby-http (0.6.2-1) experimental; urgency=low

  * Team upload
  * New upstream version
  * Updated and refreshed removing_simplecov_html.patch
  * Bump gem2deb dependency to 0.10
  * Updated d/ruby-test.rake to run tests
  * Bump standards to 3.9.6 (no change)
  * Updated copyright as lib/http/uri_backport.rb was removed by upstream

 -- Nitesh A Jain <niteshjain92@gmail.com>  Sat, 25 Oct 2014 01:25:33 +0530

=== debian/control ===
Source: ruby-http
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               ruby-addressable,
               ruby-coveralls,
               ruby-http-cookie,
               ruby-http-form-data (>= 1.0.1+gemwatch~),
               ruby-http-parser.rb,
               ruby-certificate-authority,
               ruby-rspec,
               ruby-rspec-its
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-http.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-http.git
Homepage: https://github.com/httprb/http.rb
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-http
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-addressable,
         ruby-http-cookie,
         ruby-http-form-data,
         ruby-http-parser.rb,
         ${misc:Depends},
         ${shlibs:Depends}
Description: easy-to-use client library for making http requests from Ruby
 It uses a simple method chaining system for building requests, similar
 to Python's Requests
 .
 Under the hood, The HTTP Gem uses http_parser.rb, a fast HTTP parsing
 native extension based on the Node.js parser and a Java port thereof.

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

clean:
	dh clean
	rm -rf coverage

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/http .*/http-(.*).tar.gz

## ruby-http 2.2.2

=== debian/changelog ===
ruby-http (2.2.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Ignore test failures

 -- Pirate Praveen <praveen@debian.org>  Sat, 28 Apr 2018 10:53:08 +0530

ruby-http (2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Thu, 27 Jul 2017 15:51:18 +0530

ruby-http (1.0.2-4) unstable; urgency=medium

  * Team upload.

  [ Micah Anderson ]
  * Add missing x509v3 extenions to certs generated for tests
    (Closes: #848757)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 23 Jan 2017 00:52:40 +0000

ruby-http (1.0.2-3) unstable; urgency=medium

  * Team upload.

  [ Cédric Boutillier ]
  * Run wrap-and-sort on packaging files
  * Standards-Version set to 3.9.8 (no changes needed)

  [ Christian Hofstaedtler ]
  * Disable tests using network (Closes: #818460)
    Thanks to Matthias Klose <doko@debian.org> for the initial patch.

 -- Cédric Boutillier <boutil@debian.org>  Mon, 06 Jun 2016 17:57:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Build-Depends: debhelper (>= 9~),
                gem2deb,
                ruby-addressable,
+               ruby-certificate-authority,
                ruby-coveralls,
                ruby-http-cookie,
                ruby-http-form-data (>= 1.0.1+gemwatch~),
                ruby-http-parser.rb,
-               ruby-certificate-authority,
                ruby-rspec,
-               ruby-rspec-its
-Standards-Version: 3.9.7
+               ruby-rspec-its,
+               ruby-simplecov
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-http.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-http.git
 Homepage: https://github.com/httprb/http.rb

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export GEM2DEB_TEST_RUNNER = --check-dependencies
+export DH_RUBY_IGNORE_TESTS = all
 
 %:
 	dh $@ --buildsystem=ruby --with ruby

## ruby-http 3.3.0

=== debian/changelog ===
ruby-http (3.3.0-2) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * Team upload
  * Reupload to unstable
  * Bump Standards-Version to 4.3.0 (no changes needed)

  [ Pirate Praveen ]
  * Add breaks for ruby-twitter and ruby-kubeclient looking for ruby-http 2.x

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Thu, 07 Feb 2019 15:28:50 +0530

ruby-http (3.3.0-1) experimental; urgency=medium

  [ Manas kashyap ]
  * New upstream release 3.3.0
  * Watch file updated to use gemwatch.debian.net
  * Minimum ruby-http-form-data version updated

  [ Pirate Praveen ]
  * Refresh packaging with dh-make-ruby -w
  * Add Rules-Requires-Root: no and update homepage
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Refresh patches
  * Disable tests using SSL (Started failing with openssl 1.1)
  * Remove debian/ruby-http.examples (Examples are no longer present)

 -- Pirate Praveen <praveen@debian.org>  Sat, 22 Dec 2018 22:12:34 +0530

=== debian/control ===
Source: ruby-http
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 11~),
               gem2deb,
               ruby-addressable,
               ruby-certificate-authority,
               ruby-coveralls,
               ruby-http-cookie,
               ruby-http-form-data (>= 2.0~),
               ruby-http-parser.rb,
               ruby-rspec,
               ruby-rspec-its,
               ruby-simplecov
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-http.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-http
Homepage: https://github.com/httprb/http
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-http
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-addressable,
         ruby-http-cookie,
         ruby-http-form-data (>= 2.0~),
         ruby-http-parser.rb,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ruby-twitter (<< 6.2~), ruby-kubeclient (<< 4.0~)
Description: easy-to-use client library for making http requests from Ruby
 It uses a simple method chaining system for building requests, similar
 to Python's Requests
 .
 Under the hood, The HTTP Gem uses http_parser.rb, a fast HTTP parsing
 native extension based on the Node.js parser and a Java port thereof.

=== debian/watch ===
version=3
https://gemwatch.debian.net/http .*/http-(.*).tar.gz

## ruby-http 4.4.1

=== debian/changelog ===
ruby-http (4.4.1-6) unstable; urgency=medium

  * Team upload.
  * Add 0006-Fix-spec-for-ruby3_3.patch to support ruby3.3
  * d/control
   + Remove XS-Ruby-Versions
   + Bump standards-version to 4.6.2
  * Update copyright year.
  * Add Applied-Upstreams tag to add-missing-x509v3-extensions
    patch.

 -- Abhijith PA <abhijith@debian.org>  Sat, 20 Jul 2024 17:28:32 +0530

ruby-http (4.4.1-5) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update watch file format version to 4.

  [ Cédric Boutillier ]
  * Update team name
  * Add .gitattributes to keep unwanted files out of the source package
  * Build-depend on ruby-webrick (Closes: #996292)
  * Bump standards-version to 4.6.0 (no changes needed)
  * Bump debhelper-compat to 13
  * Add 0005-Fix-passing-a-hash-as-argument-for-Ruby3.patch to fix deprecated
    syntax in spec with ruby3.0

 -- Cédric Boutillier <boutil@debian.org>  Wed, 17 Nov 2021 01:37:24 +0100

ruby-http (4.4.1-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Lucas Kanashiro ]
  * Add patch to skip flaky test failure

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 01 Jul 2020 15:22:19 -0300

ruby-http (4.4.1-3) unstable; urgency=medium

  * Replace pending with xcontext and re-enable the previously
    disabled test in 4.4.1-2 upload

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Apr 2020 05:05:38 +0530

ruby-http (4.4.1-2) unstable; urgency=medium

  * Add another test to the existing patch

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Apr 2020 04:42:13 +0530

ruby-http (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
    - Fixes test failures (Closes: #890075)
  * Replace ruby-http-parser.rb with ruby-http-parser
  * Tighten dependency on ruby-http-form-data
  * Remove unnecessary Breaks
  * Refresh d/patches
    - Don't access internet during build (Closes: #858140)
  * Re-enable tests
  * Fix package wrt cme
  * Drop runtime dependency on ruby interpreter
  * Add myself as an uploader
  * Add salsa-ci.yml
  * Add Breaks for ruby-twitter

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 10 Apr 2020 02:54:16 +0530

=== debian/control ===
Source: ruby-http
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>,
           Utkarsh Gupta <utkarsh@debian.org>
Section: ruby
Testsuite: autopkgtest-pkg-ruby
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gem2deb,
               ruby-addressable,
               ruby-certificate-authority,
               ruby-coveralls,
               ruby-http-cookie,
               ruby-http-form-data (>= 2.2~),
               ruby-http-parser,
               ruby-rspec,
               ruby-rspec-its,
               ruby-simplecov,
               ruby-webrick (>= 1.7~)
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-http
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-http.git
Homepage: https://github.com/httprb/http
Rules-Requires-Root: no

Package: ruby-http
Architecture: all
Depends: ruby-addressable,
         ruby-http-cookie,
         ruby-http-form-data (>= 2.2~),
         ruby-http-parser,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: ruby-twitter (<< 7.0)
Description: easy-to-use client library for making http requests from Ruby
 It uses a simple method chaining system for building requests, similar
 to Python's Requests
 .
 Under the hood, The HTTP Gem uses http_parser.rb, a fast HTTP parsing
 native extension based on the Node.js parser and a Java port thereof.

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

clean:
	dh clean
	rm -rf tmp
	rm -rf coverage
